| Home | Libraries | People | FAQ | More

## Function template optional

boost::xpressive::optional — Make a sub-expression optional. Equivalent to !as_xpr(expr).

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    template<typename Expr>
      proto::result_of::make_expr< proto::tag::logical_not, proto::default_domain, Expr const & >::type const
      optional(Expr const & expr);

## Description

Parameters:

`expr` | The sub-expression to make optional.